import os
import re
import socket

import click
from ...conf import read

SAMPLE_DIR = os.path.join(os.path.dirname(__file__), 'samples')
@click.command('proxy')
@click.option('-d', '--domain', default='mydomain.it')
def proxy(domain):
    conf = os.path.join(SAMPLE_DIR, 'proxy.conf')
    with open(conf) as f:
        content = f.read()
    print(content % locals())

@click.command('angjs')
@click.option('-d', '--domain', default='mydomain.it')
@click.option('-b', '--base-project', default='project-repo')
@click.option('-p', '--project', help="subdir in base-dir (default: angjs)")
@click.option('-D', '--dj-project', help="subdir in base-dir (default: api)")
@click.option('-U', '--upstream', default='myupstrem')
@click.option('-N', '--nick')
def angjs(domain, project, upstream, nick, dj_project, base_project):
    if base_project:
        if not dj_project:
            dj_project = os.path.join(base_project, 'api')
        if not project:
            project = os.path.join(base_project, 'angjs')
    else:
        dj_project = dj_project or project
    conf = os.path.join(SAMPLE_DIR, 'angjs.conf')
    nick = nick or upstream or domain
    upstream = upstream or nick
    with open(conf) as f:
        content = f.read()
    print(content % locals())
